import request from '@/utils/request'

// 查询项目记录列表
export function listCsProjectRecord(query) {
  return request({
    url: '/cs/csProjectRecord/list',
    method: 'get',
    params: query
  })
}

// 查询项目记录详细
export function getCsProjectRecord(projectRecordId) {
  return request({
    url: '/cs/csProjectRecord/' + projectRecordId,
    method: 'get'
  })
}

// 新增项目记录
export function addCsProjectRecord(data) {
  return request({
    url: '/cs/csProjectRecord',
    method: 'post',
    data: data
  })
}

// 修改项目记录
export function updateCsProjectRecord(data) {
  return request({
    url: '/cs/csProjectRecord',
    method: 'put',
    data: data
  })
}

// 删除项目记录
export function delCsProjectRecord(projectRecordId) {
  return request({
    url: '/cs/csProjectRecord/' + projectRecordId,
    method: 'delete'
  })
}
